Bug 190080

Summary: [JSC] [Armv7] Add a copy function argument to MacroAssemblerARMv7::link() and pass it down to the assembler's linking functions.
Product: WebKit Reporter: Guillaume Emont <guijemont>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ews-watchlist, keith_miller, mark.lam, msaboff, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Patch none

Description Guillaume Emont 2018-09-28 09:46:33 PDT
Since r236589 the build doesn't compile on armv7, so we should add that parameter and pass it down. Working on a patch.
Comment 1 Guillaume Emont 2018-09-28 10:31:51 PDT
Created attachment 351091 [details]
Patch

The patch.
Comment 2 Mark Lam 2018-09-28 10:54:03 PDT
<rdar://problem/38916630>
Comment 3 Mark Lam 2018-09-28 11:11:34 PDT
(In reply to Mark Lam from comment #2)
> <rdar://problem/38916630>

Scratch that.  Wrong rdar.
Comment 4 WebKit Commit Bot 2018-09-28 11:18:23 PDT
Comment on attachment 351091 [details]
Patch

Clearing flags on attachment: 351091

Committed r236604: <https://trac.webkit.org/changeset/236604>
Comment 5 WebKit Commit Bot 2018-09-28 11:18:24 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2018-09-28 11:19:28 PDT
<rdar://problem/44869446>
Comment 7 Saam Barati 2018-09-29 18:29:27 PDT
Do any EWS bots run ARMv7?
Comment 8 Guillaume Emont 2018-09-30 02:33:33 PDT
(In reply to Saam Barati from comment #7)
> Do any EWS bots run ARMv7?

We (Igalia) are hoping to add an EWS linux armv7 bot soon (we'll work on that next week during the Web Engine Hackfest). Not sure what arch are the ios and ios-sim EWS.
Comment 9 Saam Barati 2018-09-30 11:37:49 PDT
(In reply to Guillaume Emont from comment #8)
> (In reply to Saam Barati from comment #7)
> > Do any EWS bots run ARMv7?
> 
> We (Igalia) are hoping to add an EWS linux armv7 bot soon (we'll work on
> that next week during the Web Engine Hackfest). Not sure what arch are the
> ios and ios-sim EWS.

They're not armv7.

It seems like if we want to keep this code in trunk we should have a bot that at the very least catches build issues.
Comment 10 Guillaume Emont 2018-10-01 01:20:20 PDT
(In reply to Saam Barati from comment #9)
> 
> It seems like if we want to keep this code in trunk we should have a bot
> that at the very least catches build issues.

I completely agree with that. We're aiming on having that running this week, hopefully with devices running tests too.